Distribution:	CCux
Packager:  	Karsten Brockmann
Summary:   	Screen is a full-screen window manager that multiplexes a physical terminal between several processes
Name:      	screen
Version:   	4.0.3
Release:   	1
Provides:	screen
License: 	GNU/GPL
URL:		http://www.gnu.org/software/screen/
Group:     	System/Console
Source0: 	screen-%{version}.tar.gz
# remove conditional includes only needed on Solaris
# build breaks otherwise
Patch0:		screen-remove-stropts.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  ncurses-devel
BuildRequires:  pam-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
Screen is a full-screen window manager that multiplexes a physical terminal between several processes, typically interactive shells. Each virtual terminal provides the functions of the DEC VT100 terminal and, in addition, several control functions from the ANSI X3.64 (ISO 6429) and ISO 2022 standards (e.g., insert/delete line and support for multiple character sets). There is a scrollback history buffer for each virtual terminal and a copy-and-paste mechanism that allows the user to move text regions between windows.

%post 
 /sbin/install-info %{_infodir}/screen.info.gz %{_infodir}/dir 
 
%preun 
 if [ "$1" = 0 ]; then 
     /sbin/install-info --del %{_infodir}/screen.info.gz %{_infodir}/dir 
 fi 

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --enable-pam --enable-locale --enable-colors256
make

%install 
rm -rf $RPM_BUILD_ROOT 
make  DESTDIR="$RPM_BUILD_ROOT" install
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
/usr/bin/screen-4.0.3
/usr/bin/screen
%exclude /usr/info/dir
/usr/info/screen.info-1.gz
/usr/info/screen.info-2.gz
/usr/info/screen.info-3.gz
/usr/info/screen.info-4.gz
/usr/info/screen.info-5.gz
/usr/info/screen.info.gz
/usr/share/man/man1/screen.1.gz
/usr/share/screen/utf8encodings/01
/usr/share/screen/utf8encodings/02
/usr/share/screen/utf8encodings/03
/usr/share/screen/utf8encodings/04
/usr/share/screen/utf8encodings/18
/usr/share/screen/utf8encodings/19
/usr/share/screen/utf8encodings/a1
/usr/share/screen/utf8encodings/bf
/usr/share/screen/utf8encodings/c2
/usr/share/screen/utf8encodings/c3
/usr/share/screen/utf8encodings/c4
/usr/share/screen/utf8encodings/c6
/usr/share/screen/utf8encodings/c7
/usr/share/screen/utf8encodings/c8
/usr/share/screen/utf8encodings/cc
/usr/share/screen/utf8encodings/cd
/usr/share/screen/utf8encodings/d6



%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.3-1
- version update
* Mon Jun 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.2-2
- rebuilt against pam 1.0.1
* Mon Jun 27 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 4.0.2-1
- Inital Release
